libstdc++: std::ostreambuf_iterator< _CharT, _Traits > Class Template Reference

libstdc++

std::ostreambuf_iterator< _CharT, _Traits > Class Template Reference
I/O | Iterators

`#include <streambuf_iterator.h>`

Inheritance diagram for std::ostreambuf_iterator< _CharT, _Traits >:
[legend]

## Public Types
typedef output_iterator_tag | iterator_category
typedef void | pointer
typedef void | reference
typedef void | value_type
using | difference_type
typedef _CharT | char_type
typedef _Traits | traits_type
typedef basic_streambuf< _CharT, _Traits > | streambuf_type
typedef basic_ostream< _CharT, _Traits > | ostream_type

## Public Member Functions
| ostreambuf_iterator (ostream_type &__s) noexcept
| ostreambuf_iterator (streambuf_type *__s) noexcept
ostreambuf_iterator & | _M_put (const _CharT *__ws, streamsize __len)
bool | failed () const noexcept
ostreambuf_iterator & | operator* ()
ostreambuf_iterator & | operator++ ()
ostreambuf_iterator & | operator++ (int)
ostreambuf_iterator & | operator= (_CharT __c)

## Friends
template<typename _CharT2>
__gnu_cxx::__enable_if< __is_char< _CharT2 >::__value, ostreambuf_iterator< _CharT2 > >::__type | copy (istreambuf_iterator< _CharT2 >, istreambuf_iterator< _CharT2 >, ostreambuf_iterator< _CharT2 >)

## Detailed Description

template<typename _CharT, typename _Traits>
class std::ostreambuf_iterator< _CharT, _Traits >

Provides output iterator semantics for streambufs.

Definition at line 247 of file streambuf_iterator.h.

## Member Typedef Documentation

## ◆ char_type

template<typename _CharT, typename _Traits>

typedef _CharT std::ostreambuf_iterator< _CharT, _Traits >::char_type

Public typedefs.

Definition at line 257 of file streambuf_iterator.h.

## ◆ difference_type

template<typename _CharT, typename _Traits>

using std::ostreambuf_iterator< _CharT, _Traits >::difference_type

Public typedefs.

Definition at line 255 of file streambuf_iterator.h.

## ◆ iterator_category

typedef output_iterator_tag std::iterator< output_iterator_tag, void, void, void, void >::iterator_category
| inherited

One of the tag types.

Definition at line 135 of file stl_iterator_base_types.h.

## ◆ ostream_type

template<typename _CharT, typename _Traits>

typedef basic_ostream<_CharT, _Traits> std::ostreambuf_iterator< _CharT, _Traits >::ostream_type

Public typedefs.

Definition at line 260 of file streambuf_iterator.h.

## ◆ pointer

typedef void std::iterator< output_iterator_tag, void, void, void, void >::pointer
| inherited

This type represents a pointer-to-value_type.

Definition at line 141 of file stl_iterator_base_types.h.

## ◆ reference

typedef void std::iterator< output_iterator_tag, void, void, void, void >::reference
| inherited

This type represents a reference-to-value_type.

Definition at line 143 of file stl_iterator_base_types.h.

## ◆ streambuf_type

template<typename _CharT, typename _Traits>

typedef basic_streambuf<_CharT, _Traits> std::ostreambuf_iterator< _CharT, _Traits >::streambuf_type

Public typedefs.

Definition at line 259 of file streambuf_iterator.h.

## ◆ traits_type

template<typename _CharT, typename _Traits>

typedef _Traits std::ostreambuf_iterator< _CharT, _Traits >::traits_type

Public typedefs.

Definition at line 258 of file streambuf_iterator.h.

## ◆ value_type

typedef void std::iterator< output_iterator_tag, void, void, void, void >::value_type
| inherited

The type "pointed to" by the iterator.

Definition at line 137 of file stl_iterator_base_types.h.

## Constructor & Destructor Documentation

## ◆ ostreambuf_iterator() [1/3]

template<typename _CharT, typename _Traits>

std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 277 of file streambuf_iterator.h.

## ◆ ostreambuf_iterator() [2/3]

template<typename _CharT, typename _Traits>

std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator | ( | ostream_type & | __s | ) |
| inlinenoexcept

Construct output iterator from ostream.

Definition at line 282 of file streambuf_iterator.h.

## ◆ ostreambuf_iterator() [3/3]

template<typename _CharT, typename _Traits>

std::ostreambuf_iterator< _CharT, _Traits >::ostreambuf_iterator | ( | streambuf_type * | __s | ) |
| inlinenoexcept

Construct output iterator from streambuf.

Definition at line 286 of file streambuf_iterator.h.

## Member Function Documentation

## ◆ _M_put()

template<typename _CharT, typename _Traits>

ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::_M_put | ( | const _CharT * | __ws,
|  | streamsize | __len )
| inline

Definition at line 322 of file streambuf_iterator.h.

## ◆ failed()

template<typename _CharT, typename _Traits>

bool std::ostreambuf_iterator< _CharT, _Traits >::failed | ( |  | ) | const
| inlinenodiscardnoexcept

Return true if previous operator=() failed.

Definition at line 318 of file streambuf_iterator.h.

Referenced by std::basic_ostream< _CharT, _Traits >::operator<<().

## ◆ operator*()

template<typename _CharT, typename _Traits>

ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator* | ( |  | ) |
| inlinenodiscard

Return *this.

Definition at line 302 of file streambuf_iterator.h.

## ◆ operator++() [1/2]

template<typename _CharT, typename _Traits>

ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator++ | ( |  | ) |
| inline

Return *this.

Definition at line 312 of file streambuf_iterator.h.

## ◆ operator++() [2/2]

template<typename _CharT, typename _Traits>

ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator++ | ( | int |  | ) |
| inline

Return *this.

Definition at line 307 of file streambuf_iterator.h.

## ◆ operator=()

template<typename _CharT, typename _Traits>

ostreambuf_iterator & std::ostreambuf_iterator< _CharT, _Traits >::operator= | ( | _CharT | __c | ) |
| inline

Write character to streambuf. Calls streambuf.sputc().

Definition at line 291 of file streambuf_iterator.h.

The documentation for this class was generated from the following files:

- iosfwd.h
- streambuf_iterator.h